<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/profiles.gif" alt=""> <b>Мой профиль</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

echo '<form method="post" action="inprof.php?'.SID.'">';
echo 'Имя:<br><input name="my_name" value="'.$udata[29].'" /><br>';
echo 'Откуда:<br><input name="otkel" value="'.$udata[2].'" /><br>';
echo 'О себе:<br><input name="infa" value="'.$udata[3].'" /><br>';
echo 'Браузер:<br><input name="mobila" value="'.$udata[13].'" /><br>';
echo 'ICQ:<br><input name="icq" value="'.$udata[19].'" /><br>';

if($udata[36]>=150){echo 'Е-mail:<br><input name="meil" value="'.$udata[4].'" /><br>';}

echo 'Сайт:<br><input name="site" value="'.$udata[5].'" /><br>';

echo 'Ваш аватор: <img src="../'.$udata[43].'" alt="">.<br>';
echo '<a href="avators.php?'.SID.'">Изменить</a> | <a href="avators2.php?'.SID.'">Купить</a>  | <a href="avators3.php?'.SID.'">Загрузить</a><br>';

echo 'Рост (см.):<br><input name="rost" value="'.$udata[16].'" /><br>';
echo 'Вес (кг.):<br><input name="ves" value="'.$udata[17].'" /><br>';
echo 'День рождения (дд.мм.гг):<br><input name="happy" value="'.$udata[18].'" /><br>';


if($config_themes!="wml"){
echo 'Пол:<br>';

echo 'M';
if($udata[15]=="M"){echo '<input name="pol" type="radio" value="M" checked>';} else {echo '<input name="pol" type="radio" value="M" />';}
echo ' &nbsp; &nbsp; ';
if($udata[15]=="Ж"){echo '<input name="pol" type="radio" value="Ж" checked>';} else {echo '<input name="pol" type="radio" value="Ж" />';}  
echo 'Ж<br>';

if($udata[36]>=150){
if($udata[34]=="1"){
echo '<br>Отписаться от новостей: <input name="subnews" type="checkbox" value="no" /><br>';
} else {
echo '<br>Подпиcаться на новости: <input name="subnews" type="checkbox" value="yes" /><br>';
}}

echo '<font color="#FF0000">Подтверждение пароля *</font>:<br><input name="provpass" /><br>';

echo '<br><input value="Изменить" type="submit" /></form>';

} else {	 

echo 'Пол:<br>';
if($udata[15]=="M"){
echo '<select name="pol"><option value="M">Mужской</option>';
echo '<option value="Ж">Ж</option>';
echo '</select><br><br>';
} else {
echo '<select name="pol"><option value="Ж">Женский</option>';
echo '<option value="M">M</option>';
echo '</select><br><br>';
}    	 

if($udata[36]>=150){ 	 
echo 'Подписка на новости:<br>';
if($udata[34]=="1"){
echo 'Вы подписаны<br>';
echo '<select name="subnews"><option></option><option value="no">Отписаться</option>';
echo '</select><br>';   
} else {
echo 'Вы не подписаны<br>';
echo '<select name="subnews"><option></option>';
echo '<option value="yes">Подпиcаться</option>';
echo '</select><br>';
}}

echo 'Подтверждение пароля *:<br><input name="provpass" /><br>';

echo '--------------------<br><anchor>[Изменить]';
echo '<go href="inprof.php?'.SID.'" method="post">';
echo '<postfield name="my_name" value="$(my_name)"/>';
echo '<postfield name="otkel" value="$(otkel)"/>';
echo '<postfield name="infa" value="$(infa)"/>';
echo '<postfield name="mobila" value="$(mobila)"/>';
echo '<postfield name="icq" value="$(icq)"/>';
echo '<postfield name="meil" value="$(meil)"/>';
echo '<postfield name="site" value="$(site)"/>';
echo '<postfield name="pol" value="$(pol)"/>';
echo '<postfield name="rost" value="$(rost)"/>';
echo '<postfield name="ves" value="$(ves)"/>';
echo '<postfield name="happy" value="$(happy)"/>';
echo '<postfield name="subnews" value="$(subnews)"/>';
echo '<postfield name="provpass" value="$(provpass)"/>';
echo '</go></anchor><br><br>';
}


//----------------------- Смена ника --------------------------//
if($config_includenick==1){
if($udata[36]>150){

echo '<hr><div class=b>';
echo '<form method="post" action="nickname.php?'.SID.'">';
echo 'Ваш ник:<br><input name="nickname" value="'.$udata[65].'" /><br>';
if($config_themes!="wml"){
echo '<br><input value="Изменить" type="submit" /></form></div>';

} else {

echo '--------------------<br><anchor>[Изменить]';
echo '<go href="nickname.php?'.SID.'" method="post">';
echo '<postfield name="nickname" value="$(nickname)"/>';
echo '</go></anchor><br><br>';
}}}


//----------------------- Смена пароля --------------------------//
echo '<hr>';
echo '<form method="post" action="newpass.php?'.SID.'">';
echo 'Новый пароль:<br><input name="newpar"  maxlength="20" /><br>';
echo 'Повторите пароль:<br><input name="newpar2"  maxlength="20" /><br>';
echo 'Старый пароль:<br><input name="oldpar"  maxlength="20" /><br>';

if($config_themes!="wml"){
echo '<br><input value="Изменить" type="submit" /></form><hr>';
} else {

echo '--------------------<br><anchor>[Изменить]';
echo '<go href="newpass.php?'.SID.'" method="post">';
echo '<postfield name="newpar" value="$(newpar)"/>';
echo '<postfield name="newpar2" value="$(newpar2)"/>';
echo '<postfield name="oldpar" value="$(oldpar)"/>';
echo '</go></anchor><br><br>';

}

} else {
echo '<br>Вы не авторизованы, чтобы изменять свой профиль, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}


echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>